#pragma once

#include "GLTypes.h"

class SamplerObject
{
private:

	GLuint _handle;
	unsigned int _unit;

public:
	SamplerObject(SAMPLING_MODE sample, SAMPLER_WRAP_MODE wrap = SAMPLER_WRAP_MODE::CLAMP_TO_BORDER);
	~SamplerObject();

	void bind(unsigned int unit);
	void unbind();

};

