#pragma once

#include "../render/RenderInfo.h"
#include "../scene/graph/geometry/ScreenQuadMesh.h"
#include "../scene/material/TextureMaterial.h"

class VisualDebugger
{
private:
	ScreenQuadMesh* _debugQuads[4]; // 0 = top left, 1 = top right, 2 = bottom left, 3 = bottom right

public:
	VisualDebugger();
	~VisualDebugger();

	void setDebugQuad(ScreenQuadMesh::QUAD_CORNER corner, TextureMaterial* mat);

	void render(RenderInfo& renderinfo);
};

