#pragma once

#include <glew.h>


enum class TEXTURE_FORMAT {
	R8 = GL_R8, RGB8 = GL_RGB8, RGBA8 = GL_RGBA8, RGB16 = GL_RGB16, RGB16F = GL_RGB16F, RGBA16 = GL_RGBA16, DEPTH16 = GL_DEPTH_COMPONENT16, DEPTH24 = GL_DEPTH_COMPONENT24, DEPTH32 = GL_DEPTH_COMPONENT32, RGBA32F = GL_RGBA32F, R16I = GL_R16I, R16 = GL_R16, R16UI = GL_R16UI
};

enum class TEXTURE_COMPONENTS {
	R = GL_RED, RGB = GL_RGB, RGBA = GL_RGBA, DEPTH = GL_DEPTH_COMPONENT, STENCIL = GL_STENCIL_INDEX, DEPTH_STENCIL = GL_DEPTH_STENCIL
};

enum class TEXTURE_DATA_TYPE {
	FLOAT = GL_FLOAT, UNSIGNED_BYTE = GL_UNSIGNED_BYTE, INT = GL_INT, UNSIGNED_INT = GL_UNSIGNED_INT
};

enum class SAMPLING_MODE {
	LINEAR, BILINEAR, TRILINEAR
};

enum class SAMPLER_WRAP_MODE {
	REPEAT = GL_REPEAT, MIRRORED_REPEAT = GL_MIRRORED_REPEAT, CLAMP_TO_BORDER = GL_CLAMP_TO_BORDER, CLAMP_TO_EDGE = GL_CLAMP_TO_EDGE
};

enum class FRAMEBUFFER_BIND_MODE {
	READ = GL_READ_FRAMEBUFFER, WRITE = GL_DRAW_FRAMEBUFFER, READ_WRITE = GL_FRAMEBUFFER
};